# Uses of Interface
org.eclipse.jface.text.IDocumentExtension.IReplace

Packages that use IDocumentExtension.IReplace
Package
Description
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.
org.eclipse.jface.text.projection
This package provides an implementation of projection documents.

## Uses of IDocumentExtension.IReplace in org.eclipse.jface.text

Methods in org.eclipse.jface.text with parameters of type IDocumentExtension.IReplace
Modifier and Type
Method
Description
`void`
AbstractDocument.`registerPostNotificationReplace(IDocumentListener owner, IDocumentExtension.IReplace replace)`
`void`
IDocumentExtension.`registerPostNotificationReplace(IDocumentListener owner, IDocumentExtension.IReplace replace)`
Callback for document listeners to be used inside `documentChanged` to register a post notification replace operation on the document notifying them.

## Uses of IDocumentExtension.IReplace in org.eclipse.jface.text.projection

Methods in org.eclipse.jface.text.projection with parameters of type IDocumentExtension.IReplace
Modifier and Type
Method
Description
`void`
ProjectionDocument.`registerPostNotificationReplace(IDocumentListener owner, IDocumentExtension.IReplace replace)`